set_palette_range(3)

NAME
set_palette_range - Sets a specific range of the palette. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_palette_range(const PALETTE p, int from, int to, int vsync);

DESCRIPTION
Sets the palette entries between from and to (inclusive: pass 0 and 255 to set the entire palette). If vsync is set it waits for the vertical retrace, otherwise it sets the colors immediately. Example:
   PALETTE palette;
   ...
   /* Modify the first 16 entries. */
   change_first_16_colors(palette);
   /* Now update them waiting for vsync. */
   set_palette_range(palette, 0, 15, 1);

SEE ALSO
set_palette(3), get_palette_range(3), exzbuf(3)